Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.apache.xerces.impl.xs
Class XSNotationDecl

    java.lang.Object
      |
      +--weblogic.apache.xerces.impl.xs.XSNotationDecl

public class XSNotationDecl
extends java.lang.Object
implements weblogic.apache.xerces.impl.xs.psvi.XSNotationDeclaration

The XML representation for a NOTATION declaration schema component is a global element information item

Field Summary
`java.lang.String` | `fName`
`java.lang.String` | `fPublicId`
`java.lang.String` | `fSystemId`
`java.lang.String` | `fTargetNamespace`

Constructor Summary
`XSNotationDecl()`

Method Summary
`weblogic.apache.xerces.impl.xs.psvi.XSAnnotation` | `getAnnotation()` Optional.
`java.lang.String` | `getName()` The `name` of this `XSObject` depending on the `XSObject` type.
`java.lang.String` | `getNamespace()` The namespace URI of this node, or `null` if it is unspecified.
`java.lang.String` | `getPublicId()` Optional if {system identifier} is present.
`java.lang.String` | `getSystemId()` Optional if {public identifier} is present.
`short` | `getType()` Get the type of the object, i.e ELEMENT_DECLARATION.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fName

    public java.lang.String fName

### fTargetNamespace

    public java.lang.String fTargetNamespace

### fPublicId

    public java.lang.String fPublicId

### fSystemId

    public java.lang.String fSystemId

Constructor Detail

### XSNotationDecl

    public XSNotationDecl()

Method Detail

### getType

    public short getType()

  Get the type of the object, i.e ELEMENT_DECLARATION.

### getName

    public java.lang.String getName()

  The `name` of this `XSObject` depending on the `XSObject` type.

### getNamespace

    public java.lang.String getNamespace()

  The namespace URI of this node, or `null` if it is unspecified. defines how a namespace URI is attached to schema components.

### getSystemId

    public java.lang.String getSystemId()

  Optional if {public identifier} is present. A URI reference.
  Specified by:
    getSystemId in interface weblogic.apache.xerces.impl.xs.psvi.XSNotationDeclaration

### getPublicId

    public java.lang.String getPublicId()

  Optional if {system identifier} is present. A public identifier, as defined in [XML 1.0 (Second Edition)].
  Specified by:
    getPublicId in interface weblogic.apache.xerces.impl.xs.psvi.XSNotationDeclaration

### getAnnotation

    public weblogic.apache.xerces.impl.xs.psvi.XSAnnotation getAnnotation()

  Optional. Annotation.
  Specified by:
    getAnnotation in interface weblogic.apache.xerces.impl.xs.psvi.XSNotationDeclaration

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD